Package org.eclipse.m2m.atl.adt

## Class AtlResourceVisitor

- java.lang.Object
- - org.eclipse.m2m.atl.adt.AtlResourceVisitor

All Implemented Interfaces:
  `org.eclipse.core.resources.IResourceVisitor`

Direct Known Subclasses:
  `AtlBuildVisitor`, `AtlCleanVisitor`

    public abstract class AtlResourceVisitor
    extends java.lang.Object
    implements org.eclipse.core.resources.IResourceVisitor

Abstract ATL `IResourceVisitor`.

### Constructor Summary

Constructors
`AtlResourceVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.core.resources.IFile` `getAsmFile​(org.eclipse.core.resources.IResource resource)` Returns the associated asm file for the given resource.
`protected org.eclipse.core.resources.IFile` `getBytecodeFile​(org.eclipse.core.resources.IResource resource)` Returns the associated bytecode (asm/emftvm) file for the given resource.
`protected org.eclipse.core.resources.IFile` `getEmftvmFile​(org.eclipse.core.resources.IResource resource)` Returns the associated emftvm file for the given resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.resources.IResourceVisitor

`visit`

### Constructor Detail

#### AtlResourceVisitor

    public AtlResourceVisitor()

### Method Detail

#### getAsmFile

    protected org.eclipse.core.resources.IFile getAsmFile​(org.eclipse.core.resources.IResource resource)

Returns the associated asm file for the given resource.

Parameters:
  `resource` - the resource for which to retrieve the associated asm file
Returns:
  the associated asm file for the given resource

#### getEmftvmFile

    protected org.eclipse.core.resources.IFile getEmftvmFile​(org.eclipse.core.resources.IResource resource)

Returns the associated emftvm file for the given resource.

Parameters:
  `resource` - the resource for which to retrieve the associated emftvm file
Returns:
  the associated emftvm file for the given resource

#### getBytecodeFile

    protected org.eclipse.core.resources.IFile getBytecodeFile​(org.eclipse.core.resources.IResource resource)

Returns the associated bytecode (asm/emftvm) file for the given resource. Defaults to asm, unless the emftvm file exists.

Parameters:
  `resource` - the resource for which to retrieve the associated bytecode file
Returns:
  the associated bytecode (asm/emftvm) file for the given resource